import 'package:ef/ef.dart';
import 'package:flutter/material.dart';
import 'package:vbvs_app/common/color/appConstants.dart';
import 'package:vbvs_app/common/util/FitTool.dart';
import 'package:vbvs_app/common/util/MyUtils.dart';
import 'package:vbvs_app/component/tool/ClickableContainer.dart';
import 'package:vbvs_app/component/tool/TopSlideNotification.dart';
import 'package:vbvs_app/controller/main_bottom/global_controller.dart';
import 'package:vbvs_app/controller/user_info_controller.dart';

class EPage extends StatefulWidget {
  const EPage({super.key});

  @override
  State<EPage> createState() => _EPageState();
}

class _EPageState extends State<EPage> {
  GlobalController globalController = Get.find();
  UserInfoController userInfoController = Get.find();
  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(
      builder: (context, boxConstraints) => GestureDetector(
        onTap: () => FocusScope.of(context).unfocus(),
        child: Scaffold(
          appBar: AppBar(
            backgroundColor: themeController.currentColor.sc17,
            // backgroundColor: Colors.transparent,
            automaticallyImplyLeading: false,
            iconTheme: IconThemeData(color: themeController.currentColor.sc3),
            titleSpacing: 0,
            // leading: returnIconButtom,
            title: Container(
              width: double.infinity,
              height: 180.rpx,
              child: Stack(
                alignment: Alignment.center,
                children: [
                  /// 居中标题
                  Text(
                    '小e'.tr,
                    style: TextStyle(
                      fontFamily: 'Readex Pro',
                      color: themeController.currentColor.sc3,
                      letterSpacing: 0,
                      fontSize: 30.rpx,
                    ),
                  ),

                  /// 左边返回按钮
                  // Positioned(
                  //   left: 0,
                  //   child: returnIconButtom,
                  // ),
                ],
              ),
            ),
            actions: [],
            centerTitle: false,
          ),
          backgroundColor: Colors.transparent,
          body: SafeArea(
            top: true,
            child: Column(children: [
              Expanded(
                  child: ClickableContainer(
                backgroundColor: Colors.transparent,
                highlightColor: Colors.transparent,
                padding: EdgeInsets.all(0.rpx),
                onTap: () {
                  TopSlideNotification.show(context, text: "待开发功能".tr);
                },
                child: Container(
                  // child: widget.webView,
                  decoration: BoxDecoration(
                    image: DecorationImage(
                      image: AssetImage('assets/img/xiaoe.png'), // 本地图片
                      fit: BoxFit.fill, // 填满整个 Container
                    ),
                  ),
                ),
              )),
            ]),
          ),
        ),
      ),
    );
  }
}
